## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.3
%if 0%{?fedora}
%bcond_without check
%else
# %%gocheck isn't currently provided on CentOS/RHEL
# https://bugzilla.redhat.com/show_bug.cgi?id=1982298
%bcond_with check
%endif

%global ignedgecommit b8d1b7a52c28fd5c33d15a0628d4b69f242f5c57
%global ignedgeshortcommit %(c=%{ignedgecommit}; echo ${c:0:7})

%if 0%{?rhel} && 0%{?rhel} == 10
# For vendored gdisk
%global gdiskversion 1.0.10
%endif

# https://github.com/coreos/ignition
%global goipath         github.com/coreos/ignition
%global gomodulesmode   GO111MODULE=on
Version:                2.19.0

%gometa

%global golicenses      LICENSE
%global godocs          README.md docs/
%global dracutlibdir %{_prefix}/lib/dracut

Name:           ignition
Release:        %autorelease
Summary:        First boot installer and configuration tool

# Upstream license specification: Apache-2.0
# gdisk: GPL-2.0-or-later
License:        Apache-2.0 AND GPL-2.0-or-later
URL:            %{gourl}
Source0:        %{gosource}
Source1:        https://github.com/fedora-iot/ignition-edge/archive/%{ignedgecommit}/ignition-edge-%{ignedgeshortcommit}.tar.gz
# For vendored gdisk
Source2:        http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{gdiskversion}.tar.gz

BuildRequires: libblkid-devel
BuildRequires: systemd-rpm-macros

# Requires for 'disks' stage
%if 0%{?fedora}
Recommends: btrfs-progs
%endif
Requires: dosfstools
Requires: dracut
Requires: dracut-network

%if 0%{?rhel} && 0%{?rhel} == 10
# For vendored gdisk
BuildRequires: gcc-c++
BuildRequires: libuuid-devel
BuildRequires: make
BuildRequires: ncurses-devel
BuildRequires: popt-devel
%endif

# Generated by `go-mods-to-bundled-provides.py | sort`
Provides: bundled(golang(cloud.google.com/go/compute/metadata)) = 0.2.3
Provides: bundled(golang(cloud.google.com/go/storage)) = 1.35.1
Provides: bundled(golang(cloud.google.com/go/storage/internal)) = 1.35.1
Provides: bundled(golang(cloud.google.com/go/storage/internal/apiv2)) = 1.35.1
Provides: bundled(golang(cloud.google.com/go/storage/internal/apiv2/storagepb)) = 1.35.1
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/arn)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/auth/bearer)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awserr)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awsutil)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client/metadata)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/corehandlers)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/endpointcreds)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/processcreds)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/ssocreds)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/csm)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/defaults)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/ec2metadata)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/endpoints)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/request)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/session)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/signer/v4)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/context)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/ini)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/s3shared)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/s3shared/arn)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/s3shared/s3err)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/sdkio)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/sdkmath)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/sdkrand)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/sdkuri)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/shareddefaults)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/strings)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/internal/sync/singleflight)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/checksum)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/eventstream)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/eventstream/eventstreamapi)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/json/jsonutil)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/jsonrpc)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query/queryutil)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/rest)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/restjson)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/restxml)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/xml/xmlutil)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/s3)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/s3/s3iface)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/s3/s3manager)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/sso)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ssooidc)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/sso/ssoiface)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/sts)) = 1.47.9
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/sts/stsiface)) = 1.47.9
Provides: bundled(golang(github.com/beevik/etree)) = 1.2.0
Provides: bundled(golang(github.com/containers/libhvee/pkg/kvp)) = 0.4.0
Provides: bundled(golang(github.com/coreos/go-semver/semver)) = 0.3.1
Provides: bundled(golang(github.com/coreos/go-systemd/v22/dbus)) = 22.5.0
Provides: bundled(golang(github.com/coreos/go-systemd/v22/journal)) = 22.5.0
Provides: bundled(golang(github.com/coreos/go-systemd/v22/unit)) = 22.5.0
Provides: bundled(golang(github.com/coreos/vcontext/json)) = 0.0.0-20230201181013.gitd72178a18687
Provides: bundled(golang(github.com/coreos/vcontext/path)) = 0.0.0-20230201181013.gitd72178a18687
Provides: bundled(golang(github.com/coreos/vcontext/report)) = 0.0.0-20230201181013.gitd72178a18687
Provides: bundled(golang(github.com/coreos/vcontext/tree)) = 0.0.0-20230201181013.gitd72178a18687
Provides: bundled(golang(github.com/coreos/vcontext/validate)) = 0.0.0-20230201181013.gitd72178a18687
Provides: bundled(golang(github.com/google/renameio/v2)) = 2.0.0
Provides: bundled(golang(github.com/google/uuid)) = 1.4.0
Provides: bundled(golang(github.com/mdlayher/vsock)) = 1.2.1
Provides: bundled(golang(github.com/mitchellh/copystructure)) = 1.2.0
Provides: bundled(golang(github.com/pin/tftp)) = 2.1.0
Provides: bundled(golang(github.com/pin/tftp/netascii)) = 2.1.0
Provides: bundled(golang(github.com/spf13/pflag)) = 1.0.6-0.20210604193023.gitd5e0c0615ace
Provides: bundled(golang(github.com/stretchr/testify/assert)) = 1.8.4
Provides: bundled(golang(github.com/vincent-petithory/dataurl)) = 1.0.0
Provides: bundled(golang(github.com/vmware/vmw-guestinfo/bdoor)) = 0.0.0-20220317130741.git510905f0efa3
Provides: bundled(golang(github.com/vmware/vmw-guestinfo/message)) = 0.0.0-20220317130741.git510905f0efa3
Provides: bundled(golang(github.com/vmware/vmw-guestinfo/rpcout)) = 0.0.0-20220317130741.git510905f0efa3
Provides: bundled(golang(github.com/vmware/vmw-guestinfo/rpcvmx)) = 0.0.0-20220317130741.git510905f0efa3
Provides: bundled(golang(github.com/vmware/vmw-guestinfo/vmcheck)) = 0.0.0-20220317130741.git510905f0efa3
Provides: bundled(golang(golang.org/x/net/bpf)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/context)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/http2)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/http2/hpack)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/http/httpguts)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/http/httpproxy)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/idna)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/internal/timeseries)) = 0.18.0
Provides: bundled(golang(golang.org/x/net/trace)) = 0.18.0
Provides: bundled(golang(golang.org/x/oauth2)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/authhandler)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/google)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/google/internal/externalaccount)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/google/internal/externalaccountauthorizeduser)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/google/internal/stsexchange)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/internal)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/jws)) = 0.14.0
Provides: bundled(golang(golang.org/x/oauth2/jwt)) = 0.14.0
Provides: bundled(golang(golang.org/x/sys/cpu)) = 0.14.0
Provides: bundled(golang(golang.org/x/sys/unix)) = 0.14.0
Provides: bundled(golang(google.golang.org/api/googleapi)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/googleapi/transport)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/iamcredentials/v1)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/internal)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/internal/cert)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/internal/gensupport)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/internal/impersonate)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/internal/third_party/uritemplates)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/iterator)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/option)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/option/internaloption)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/storage/v1)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/transport)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/transport/grpc)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/transport/http)) = 0.151.0
Provides: bundled(golang(google.golang.org/api/transport/http/internal/propagation)) = 0.151.0
Provides: bundled(golang(gopkg.in/yaml.v3)) = 3.0.1

%description
Ignition is a utility used to manipulate systems during the initramfs.
This includes partitioning disks, formatting partitions, writing files
(regular files, systemd units, etc.), and configuring users. On first
boot, Ignition reads its configuration from a source of truth (remote
URL, network metadata service, hypervisor bridge, etc.) and applies
the configuration.

############## validate subpackage ##############

%package validate

Summary:  Validation tool for Ignition configs
License:  Apache-2.0

%description validate
Ignition is a utility used to manipulate systems during the initramfs.
This includes partitioning disks, formatting partitions, writing files
(regular files, systemd units, etc.), and configuring users. On first
boot, Ignition reads its configuration from a source of truth (remote
URL, network metadata service, hypervisor bridge, etc.) and applies
the configuration.

This package contains a tool for validating Ignition configurations.

############## validate-redistributable subpackage ##############

%if 0%{?fedora}
%package validate-redistributable

Summary:   Statically linked validation tool for Ignition configs
License:   Apache-2.0
BuildArch: noarch

# In case someone has this subpackage installed, obsolete the old name
# Drop in Fedora 38
Obsoletes:     ignition-validate-nonlinux < 2.13.0-4

%description validate-redistributable
This package contains statically linked Linux, macOS, and Windows
ignition-validate binaries built through cross-compilation. Do not install it.
It is only used for building release binaries to be signed by Fedora release
engineering and uploaded to the Ignition GitHub releases page.
%endif

############## ignition-edge subpackage ##############

%package edge

Summary:  Enablement glue for Ignition on IoT/Edge systems
License:  Apache-2.0

%description edge
This package contains dracut modules, services and binaries needed to enable
Ignition on IoT/Edge systems.

############## ignition-grub subpackage ##############

%package ignition-grub

Summary:  Enablement glue for bootupd's grub2 config 
License:  Apache-2.0

%description ignition-grub
This package contains the grub2 config which is compatable with bootupd.

%prep
%if 0%{?fedora}
%goprep -k
%autopatch -p1
%else
%forgeautosetup -p1
%endif

tar xvf %{SOURCE1}

%if 0%{?rhel} && 0%{?rhel} == 10
# Prep vendored gdisk
tar xvf %{SOURCE2}
%endif

%build
export LDFLAGS="-X github.com/coreos/ignition/v2/internal/version.Raw=%{version} -X github.com/coreos/ignition/v2/internal/distro.selinuxRelabel=true "
%if 0%{?rhel} && 0%{?rhel} <= 8
# Disable writing ssh keys fragments on RHEL/CentOS <= 8
LDFLAGS+=' -X github.com/coreos/ignition/v2/internal/distro.writeAuthorizedKeysFragment=false '
%endif
%if 0%{?rhel}
# Need uncompressed debug symbols for debuginfo extraction
LDFLAGS+=' -compressdwarf=false '
%endif
export GOFLAGS="-mod=vendor"

echo "Building ignition..."
%gobuild -o ./ignition internal/main.go

echo "Building ignition-validate..."
%gobuild -o ./ignition-validate validate/main.go

%global gocrossbuild go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x

%if 0%{?fedora}
echo "Building statically-linked Linux ignition-validate..."
CGO_ENABLED=0 GOARCH=arm64 GOOS=linux %gocrossbuild -o ./ignition-validate-aarch64-unknown-linux-gnu-static validate/main.go
CGO_ENABLED=0 GOARCH=ppc64le GOOS=linux %gocrossbuild -o ./ignition-validate-ppc64le-unknown-linux-gnu-static validate/main.go
CGO_ENABLED=0 GOARCH=s390x GOOS=linux %gocrossbuild -o ./ignition-validate-s390x-unknown-linux-gnu-static validate/main.go
CGO_ENABLED=0 GOARCH=amd64 GOOS=linux %gocrossbuild -o ./ignition-validate-x86_64-unknown-linux-gnu-static validate/main.go

echo "Building macOS ignition-validate..."
GOARCH=amd64 GOOS=darwin %gocrossbuild -o ./ignition-validate-x86_64-apple-darwin validate/main.go
GOARCH=arm64 GOOS=darwin %gocrossbuild -o ./ignition-validate-aarch64-apple-darwin validate/main.go

echo "Building Windows ignition-validate..."
GOARCH=amd64 GOOS=windows %gocrossbuild -o ./ignition-validate-x86_64-pc-windows-gnu.exe validate/main.go
%endif

%if 0%{?rhel} && 0%{?rhel} == 10
# Build vendored gdisk
cd gptfdisk-%{gdiskversion}
make CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" LDFLAGS="%{build_ldflags}"
%endif

%install
# dracut modules
install -d -p %{buildroot}/%{dracutlibdir}/modules.d
cp -r dracut/* %{buildroot}/%{dracutlibdir}/modules.d/
install -m 0644 -D -t %{buildroot}/%{_unitdir} systemd/ignition-delete-config.service
install -m 0755 -d %{buildroot}/%{_libexecdir}
ln -sf ../lib/dracut/modules.d/30ignition/ignition %{buildroot}/%{_libexecdir}/ignition-apply
ln -sf ../lib/dracut/modules.d/30ignition/ignition %{buildroot}/%{_libexecdir}/ignition-rmcfg

# ignition-grub
install -d -p %{buildroot}%{_libdir}/bootupd/grub2-static/configs.d
install -p -m 0644 grub2/ignition.cfg  %{buildroot}%{_libdir}/bootupd/grub2-static/configs.d/

# ignition
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 ./ignition-validate %{buildroot}%{_bindir}

%if 0%{?fedora}
install -d -p %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-aarch64-apple-darwin %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-aarch64-unknown-linux-gnu-static %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-ppc64le-unknown-linux-gnu-static %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-s390x-unknown-linux-gnu-static %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-x86_64-apple-darwin %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-x86_64-pc-windows-gnu.exe %{buildroot}%{_datadir}/ignition
install -p -m 0644 ./ignition-validate-x86_64-unknown-linux-gnu-static %{buildroot}%{_datadir}/ignition
%endif

# The ignition binary is only for dracut, and is dangerous to run from
# the command line.  Install directly into the dracut module dir.
install -p -m 0755 ./ignition %{buildroot}/%{dracutlibdir}/modules.d/30ignition

%make_install -C ignition-edge-%{ignedgecommit}

%if 0%{?rhel} && 0%{?rhel} == 10
# Install vendored gdisk
cd gptfdisk-%{gdiskversion}
install -D -p -m 0755 sgdisk %{buildroot}%{_libexecdir}/ignition-sgdisk
install -D -p -m 644 COPYING %{buildroot}%{_datadir}/licenses/gdisk/COPYING
%endif

%if %{with check}
%check
# Exclude the blackbox tests
%gocheck -t tests
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{dracutlibdir}/modules.d/30ignition/*
%{_unitdir}/ignition-delete-config.service
%{_libexecdir}/ignition-apply
%{_libexecdir}/ignition-rmcfg
# Vendored gdisk
%{_libexecdir}/ignition-sgdisk
%{_datadir}/licenses/gdisk/COPYING

%files validate
%doc README.md
%license %{golicenses}
%{_bindir}/ignition-validate

%if 0%{?fedora}
%files validate-redistributable
%license %{golicenses}
%dir %{_datadir}/ignition
%{_datadir}/ignition/ignition-validate-aarch64-apple-darwin
%{_datadir}/ignition/ignition-validate-aarch64-unknown-linux-gnu-static
%{_datadir}/ignition/ignition-validate-ppc64le-unknown-linux-gnu-static
%{_datadir}/ignition/ignition-validate-s390x-unknown-linux-gnu-static
%{_datadir}/ignition/ignition-validate-x86_64-apple-darwin
%{_datadir}/ignition/ignition-validate-x86_64-pc-windows-gnu.exe
%{_datadir}/ignition/ignition-validate-x86_64-unknown-linux-gnu-static
%endif

%files edge
%license %{golicenses}
%doc %{godocs}
%{dracutlibdir}/modules.d/35ignition-edge/*
%{dracutlibdir}/modules.d/10coreos-sysctl/*
%{dracutlibdir}/modules.d/99emergency-shell-setup/*
%{dracutlibdir}/modules.d/99journal-conf/*
%{_unitdir}/coreos-check-ssh-keys.service
%{_unitdir}/coreos-ignition-write-issues.service
%{_unitdir}/ignition-firstboot-complete.service
%{_libexecdir}/coreos-ignition-write-issues
%{_libexecdir}/coreos-check-ssh-keys

%files ignition-grub
%doc README.md
%license %{golicenses}
%{_libdir}/bootupd/grub2-static/configs.d/ignition.cfg

%changelog
## START: Generated by rpmautospec
* Fri Sep 27 2024 Joseph Marrero Corchado <jmarrero@redhat.com> - 2.19.0-3
- Rebuild with autorelease and autochangelog

* Fri Sep 27 2024 Joseph Marrero Corchado <jmarrero@redhat.com> - 2.19.0-2
- Update license identifier for gdisk vendored code

* Thu Sep 26 2024 Joseph Marrero Corchado <jmarrero@redhat.com> - 2.19.0-1
- Rebase to https://github.com/coreos/ignition/releases/tag/v2.19.0

* Thu Aug 29 2024 Timothée Ravier <tim@siosm.fr> - 2.17.0-8
- Vendor gdisk until we are ready to move to sfdisk

* Mon Aug 26 2024 Timothée Ravier <tim@siosm.fr> - 2.17.0-7
- Remove gdisk require to prepare for the sfdisk migration

* Mon Jul 29 2024 Yasmin Valim <ydesouza@redhat.com> - 2.17.0-6
- Enable component gating for RHEL 10 Beta

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 2.17.0-5
- Bump release for June 2024 mass rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Steven Presti <spresti@redhat.com> - 2.17.0-2
- Add ignition-grub subpackage

* Wed Nov 22 2023 Steven Presti <spresti@redhat.com> - 2.17.0-1
- Update to 2.17.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.16.2-1
- Update to 2.16.2

* Mon Jul 10 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.16.1-1
- Update to 2.16.1

* Fri Jun 02 2023 Steven Presti <spresti@redhat.com> - 2.15.0-6
- Update license to SPDX

* Thu Feb 23 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.15.0-5
- Remove ignition-edge files from base package

* Wed Feb 22 2023 Paul Whalen <pwhalen@fedoraproject.org> - 2.15.0-4
- Enable ignition-edge in Fedora

* Tue Feb 21 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.15.0-3
- Update rpmlintrc for current rpmlint

* Tue Feb 21 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.15.0-2
- Drop Conflicts/Obsoletes for ancient Ignition releases

* Tue Feb 21 2023 Benjamin Gilbert <bgilbert@redhat.com> - 2.15.0-1
- 2.15.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 11 2022 Christian Glombek <cglombek@redhat.com> - 2.14.0-5
- Enable writing ssh keys fragments on RHEL/CentOS >= 9

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.14.0-3
- Add macOS aarch64 binary to -redistributable

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.14.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue May 17 2022 Steven Presti <spresti@redhat.com> - 2.14.0-1
- ignition.spec: update version to v2.14.0

* Thu Mar 17 2022 Sohan Kunkerkar <skunkerk@redhat.com> - 2.13.0-8
- Add patch for fixing the vmware kernel lockdown

* Fri Jan 28 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.13.0-7
- Update rpmlintrc

* Fri Jan 28 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.13.0-6
- Fix macro invocation in comment

* Fri Jan 28 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.13.0-5
- Rename -validate-nonlinux to -redistributable; add static Linux binaries

* Thu Jan 20 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.13.0-4
- Avoid double patch application on non-Fedora

* Thu Jan 20 2022 Benjamin Gilbert <bgilbert@redhat.com> - 2.13.0-3
- Fix LUKS volume reuse

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 30 2021 Sohan Kunkerkar <sohank2602@gmail.com> - 2.13.0-1
- 2.13.0

* Wed Oct 13 2021 Sohan Kunkerkar <skunkerk@redhat.com> - 2.12.0-6
- Move Ignition report to /etc

* Mon Sep 13 2021 Sohan Kunkerkar <sohank2602@gmail.com> - 2.12.0-5
- Conditionalize Fedora-specific configuration

* Mon Sep 13 2021 Sohan Kunkerkar <sohank2602@gmail.com> - 2.12.0-4
- Disable cross-building of Ignition-validate on RHEL/CentOS

* Mon Sep 13 2021 Sohan Kunkerkar <sohank2602@gmail.com> - 2.12.0-3
- Disable compressdwarf flag to avoid build failures on RHEL/CentOS

* Thu Aug 26 2021 Sohan Kunkerkar <sohank2602@gmail.com> - 2.12.0-2
- Disable file fragment writing logic for SSH authorized_keys on
  RHEL/CentOS

* Fri Aug 06 2021 Sohan Kunkerkar <skunkerk@redhat.com> - 2.12.0-1
- Ignition 2.12.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.11.0-2
- Drop ignition-firstboot-complete and ignition-setup-user services

* Sat Jun 26 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.11.0-1
- 2.11.0

* Wed Jun 09 2021 Sohan Kunkerkar <skunkerk@redhat.com> - 2.10.1-4
- Fix go-mods-to-bundled-provides script to parse correct rpm version

* Wed May 26 2021 Jonathan Lebon <jonathan@jlebon.com> - 2.10.1-3
- Backport patch for multipath on firstboot

* Wed May 26 2021 Jonathan Lebon <jonathan@jlebon.com> - 2.10.1-2
- spec: regenerate from go2rpm

* Fri Apr 30 2021 Stephen Lowrie <slowrie@redhat.com> - 2.10.1-1
- release: Ignition 2.10.1

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-9
- Drop mention of networkd in package description

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-8
- Drop old notes from original package creation

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-7
- Switch to %%autosetup

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-6
- Drop Git commit hash from Release

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-5
- Set ExclusiveArch from %%go_arches

* Fri Feb 05 2021 Benjamin Gilbert <bgilbert@redhat.com> - 2.9.0-4
- Correctly enable IMDS patch

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 2021 Sohan Kunkerkar <skunkerk@redhat.com> - 2.9.0-2
- Fix AWS probing by using the IMDS token URL

* Fri Jan 08 2021 Sohan Kunkerkar <skunkerk@redhat.com> - 2.9.0-1
- release: Ignition v2.9.0

* Thu Dec 03 2020 Sohan Kunkerkar <sohank2602@gmail.com> - 2.8.1-1
- release: Ignition v2.8.1

* Wed Nov 25 2020 Sohan Kunkerkar <sohank2602@gmail.com> - 2.8.0-1
- release: Ignition v2.8.0

* Wed Oct 28 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.7.0-2
- download-ignition.sh: drop

* Thu Oct 15 2020 Stephen Lowrie <stephen.lowrie@gmail.com> - 2.7.0-1
- Ignition 2.7.0

* Wed Aug 12 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.6.0-2
- Fix sector size detection on s390x

* Sat Aug 08 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.6.0-1
- Ignition 2.6.0

* Fri Aug 07 2020 Jonathan Lebon <jonathan@jlebon.com> - 2.5.0-3
- Backport conditional networking fix for OpenStack and CloudStack

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.5.0-1
- Ignition 2.5.0

* Thu Jul 16 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.4.1-1
- Ignition 2.4.1

* Wed Jul 15 2020 Jonathan Lebon <jonathan@jlebon.com> - 2.4.0-2
- Backport root homedir relabeling fix

* Mon Jul 13 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.4.0-1
- Ignition 2.4.0

* Mon Jun 15 2020 Timothée Ravier <travier@redhat.com> - 2.3.0-3
- Update to latest ignition-dracut to fix coreos-gpt-setup unit

* Mon Jun 01 2020 Jonathan Lebon <jonathan@jlebon.com> - 2.3.0-2
- Update to latest ignition-dracut to fix error handling

* Tue May 05 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.3.0-1
- Ignition 2.3.0

* Sun Apr 26 2020 Dusty Mabe <dusty@dustymabe.com> - 2.2.1-5
- Update to latest ignition-dracut for network fixes

* Thu Apr 16 2020 Colin Walters <walters@verbum.org> - 2.2.1-4
- Update to latest ignition-dracut for virtio dump

* Mon Mar 30 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.2.1-3
- Bump ignition-dracut to fix umount stage network access

* Sat Mar 28 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.2.1-2
- Fix userdata/metadata fetch on Packet

* Tue Mar 24 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.2.1-1
- Ignition 2.2.1

* Sat Feb 01 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.1.1-7
- Switch -validate-nonlinux to noarch; move files to /usr/share/ignition

* Sat Feb 01 2020 Benjamin Gilbert <bgilbert@redhat.com> - 2.1.1-6
- Improve -validate-nonlinux descriptive text

* Fri Jan 31 2020 Jonathan Lebon <jonathan@jlebon.com> - 2.1.1-5
- Bump ignition-dracut for ignition-diskful-subsequent target

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 20 2019 Dusty Mabe <dusty@dustymabe.com> - 2.1.1-3
- Backport upstream patch to workaround problem booting on live systems
- https://github.com/coreos/fedora-coreos-tracker/issues/339
- https://github.com/coreos/ignition/pull/907

* Wed Dec 18 2019 Andrew Jeddeloh <ajeddelo@redhat.com> - 2.1.1-2
- spec: add ignition-validate-nonlinux subpackage

* Fri Dec 13 2019 Andrew Jeddeloh <ajeddelo@redhat.com> - 2.1.1-1
- spec: update spec for 2.1.1

* Mon Dec 09 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.1-11
- Use the master branch of ignition-dracut, not spec2x

* Fri Dec 06 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.1-10
- Bump Ignition for better SELinux labeling

* Thu Dec 05 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.1-9
- Don't require btrfs-progs, just recommend it

* Thu Dec 05 2019 Allen Bai <abai@redhat.com> - 2.0.1-8
- Update dracut to latest spec2x

* Thu Oct 31 2019 Colin Walters <walters@verbum.org> - 2.0.1-7
- Update dracut

* Wed Sep 25 2019 Colin Walters <walters@verbum.org> - 2.0.1-6
- Bump to latest in prep for rootfs redeploy work

* Sat Sep 21 2019 Peter Robinson <pbrobinson@gmail.com> - 2.0.1-5
- fix up arch deps for latest golang specs so all the right arches get
  built

* Fri Aug 16 2019 Colin Walters <walters@verbum.org> - 2.0.1-4
- Fix files list

* Fri Aug 16 2019 Colin Walters <walters@verbum.org> - 2.0.1-3
- Update dracut for gpt fixes

* Thu Jul 25 2019 Andrew Jeddeloh <ajeddelo@redhat.com> - 2.0.1-2
- ignition.spec: fix changelog

* Thu Jul 25 2019 Andrew Jeddeloh <ajeddelo@redhat.com> - 2.0.1-1
- *: bump to Ignition 2.0.1

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 2.0.0-12
- sources: add new sources for 2.0.0

* Mon Jun 10 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 2.0.0-11
- spec: update generated bits of the spec

* Mon Jun 10 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 2.0.0-10
- spec: change non-generated bits

* Fri May 03 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.0-9
- Adapt distro.selinuxRelabel flag path for v2/ move

* Fri May 03 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.0-8
- Bump to ignition-dracut df88988

* Wed May 01 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 2.0.0-7
- *: update to 2.0.0-beta

* Mon Apr 29 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 2.0.0-6
- go-mods-to-bundled: use /usr/bin/env python

* Mon Apr 08 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.0-5
- Bump to ignition-dracut 85f2e65

* Wed Mar 27 2019 Benjamin Gilbert <bgilbert@redhat.com> - 2.0.0-4
- Drop obsolete override of chroot path

* Wed Mar 27 2019 Benjamin Gilbert <bgilbert@redhat.com> - 2.0.0-3
- Backport fix for SELinux relabeling of systemd units

* Wed Mar 27 2019 Benjamin Gilbert <bgilbert@redhat.com> - 2.0.0-2
- Drop old patch files

* Wed Mar 27 2019 Jonathan Lebon <jonathan@jlebon.com> - 2.0.0-1
- Bump to Ignition v2.0.0-alpha

* Fri Mar 22 2019 Dusty Mabe <dusty@dustymabe.com> - 0.31.0-15
- backports from spec2x branches
- ignition-dracut: Pull in latest from spec2x branch * grub: support
  overriding network kcmdline args
- ignition: pull in subuid/subgid files patch from spec2x branch *
  stages/files: Also relabel subuid/subgid files

* Wed Mar 20 2019 Michael Nguyen <mnguyen@redhat.com> - 0.31.0-14
- Backport support for ignition vmware properties

* Mon Mar 18 2019 Dusty Mabe <dusty@dustymabe.com> - 0.31.0-13
- Use the spec2x branch of ignition-dracut upstream

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-12
- tests: try running ignition-validate

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-11
- Move ignition binary into dracut module directory

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-10
- Drop developer docs from base package

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-9
- Include ignition-dracut license file

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-8
- Merge ignition-dracut into ignition; split out ignition-validate

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-7
- Remember to exit ignition-dracut directory after installing

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-6
- Drop stray summary line from package description

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-5
- Fix trailing spaces in %%description

* Mon Mar 18 2019 Benjamin Gilbert <bgilbert@redhat.com> - 0.31.0-4
- Move some dracut subpackage configuration within the specfile

* Mon Mar 18 2019 Colin Walters <walters@verbum.org> - 0.31.0-3
- Backport networking patch

* Tue Mar 05 2019 Dusty Mabe <dusty@dustymabe.com> - 0.31.0-2
- ignition-dracut: backport patch for finding ignition.firstboot file on
  UEFI systems

* Thu Feb 21 2019 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 0.31.0-1
- Bump to Ignition v0.31.0

* Fri Feb 15 2019 Dusty Mabe <dusty@dustymabe.com> - 0.30.0-5
- Bump to ignition-dracut 2c69925

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 30 2019 Dusty Mabe <dusty@dustymabe.com> - 0.30.0-3
- Bump to ignition-dracut fa7131b

* Tue Jan 08 2019 Dusty Mabe <dusty@dustymabe.com> - 0.30.0-2
- add a few utility scripts for downloading sources

* Sat Dec 15 2018 Benjamin Gilbert <bgilbert@redhat.com> - 0.30.0-1
- Bump to Ignition 0.30.0

* Fri Dec 14 2018 Michael Nguyen <mnguyen@redhat.com> - 0.29.1-3
- additional fixups for building against rhel7

* Tue Dec 11 2018 Dusty Mabe <dusty@dustymabe.com> - 0.29.1-2
- fixups for building against rhel7
- require golang >= 1.10
- specify arch list since no %%go_arches macro

* Tue Dec 11 2018 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 0.29.1-1
- Bump to Ignition 0.29.1

* Thu Nov 22 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-15
- clarify that protobuf 3.6 is only for f30

* Wed Nov 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.28.0-14
- Rebuild for protobuf 3.6

* Tue Nov 20 2018 Jonathan Lebon <jonathan@jlebon.com> - 0.28.0-13
- Bump to ignition-dracut 7b83454

* Thu Oct 25 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-12
- Bump to ignition-dracut decf63f

* Thu Oct 25 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-11
- Bump to ignition-dracut 7ee64ca

* Mon Oct 15 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-10
- Bump to ignition-dracut 4bdfb34

* Wed Oct 10 2018 Jonathan Lebon <jonathan@jlebon.com> - 0.28.0-9
- Backport patch for sysctl.d handling

* Wed Sep 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-8
- Bump to ignition-dracut c09ce6f

* Mon Sep 24 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-7
- Bump to ignition-dracut 8c85eb3

* Mon Sep 24 2018 Colin Walters <walters@verbum.org> - 0.28.0-6
- Only require btrfs-progs on Fedora

* Mon Sep 17 2018 Jonathan Lebon <jonathan@jlebon.com> - 0.28.0-5
- Backport patch for relabeling /var/home on FCOS

* Thu Sep 06 2018 Luca Bruno <luca.bruno@coreos.com> - 0.28.0-4
- ignition/spec: add requires for disks stage

* Wed Sep 05 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-3
- Bump to ignition-dracut d056287

* Wed Sep 05 2018 Dusty Mabe <dusty@dustymabe.com> - 0.28.0-2
- fixups for c14ed24
- match gofed call at top of .spec match .orig
- fix release to -1 in changelog comment

* Wed Sep 05 2018 Andrew Jeddeloh <andrew.jeddeloh@coreos.com> - 0.28.0-1
- New release Ignition-0.28.0

* Fri Aug 17 2018 Dusty Mabe <dusty@dustymabe.com> - 0.27.0-4
- Bump to ignition-dracut 56aa514

* Fri Aug 17 2018 Jonathan Lebon <jonathan@jlebon.com> - 0.27.0-3
- Backport patch for /root relabeling

* Thu Aug 16 2018 Dusty Mabe <dusty@dustymabe.com> - 0.27.0-2
- add basic tests for ignition

* Fri Aug 10 2018 Jonathan Lebon <jonathan@jlebon.com> - 0.27.0-1
- New release ignition-0.27.0-1.gitcc7ebe0

* Sat Jul 21 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-15
- forgot to bump release

* Sat Jul 21 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-14
- Bump to ignition-dracut d664657

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-12
- Fix building on el7

* Fri Jun 29 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-11
- bump ignition-dracut to 17a201b

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-10
- bump release + changelog

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-9
- Move Source1 into dracut package stanza

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-8
- renamed bootengine -> ignition-dracut upstream

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-7
- Add in source tarballs

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-6
- make it so %%prep won't unpack Source0 twice

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-5
- Update with comments from code review

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-4
- fix dracutprovider_prefix dracutimport_path macros

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-3
- make ignition-dracut a subpackage

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-2
- add ignition-dracut spec file for dracut modules rpm

* Tue Jun 26 2018 Dusty Mabe <dusty@dustymabe.com> - 0.26.0-1
- First pass add creating ignition spec with gofed
- notes.txt
- explains how to use gofed and build rpm
- ignition.spec.orig
- the spec file as generated by gofed
- ignition.spec
- the edited spec file
- parsedeps.go
- used to generate bundled provides
## END: Generated by rpmautospec
